build-perf-test-wrapper.sh: accept test case failures

Utilize the new return value (2) from oe-build-perf-test. Do not exit
with an error in case some individual tests fail. Even if some tests
fail we still want to complete successfully, that is, display and
archive the results and do cleanup. The individual tests do not depend
on each other anymore so test failures shouldn't affect the results of
successful tests.

(From OE-Core rev: e3c7d8a98a261a6a8c913e7fcd19264df501636d)

Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
Signed-off-by: Ross Burton <ross.burton@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
This commit is contained in:
Markus Lehtonen 2016-09-30 13:06:07 +03:00 committed by Richard Purdie
parent e4e6ff3be3
commit a17ce357fe
1 changed files with 14 additions and 9 deletions

View File

@ -117,15 +117,20 @@ if [ -f "$base_dir/auto.conf.extra" ]; then
fi
# Run actual test script
if ! oe-build-perf-test --out-dir "$results_dir" \
--globalres-file "$globalres_log" \
--lock-file "$base_dir/oe-build-perf.lock" \
"${commit_results[@]}" \
--commit-results-branch "{tester_host}/{git_branch}/$machine" \
--commit-results-tag "{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"; then
echo "oe-build-perf-test script failed!"
exit 1
fi
oe-build-perf-test --out-dir "$results_dir" \
--globalres-file "$globalres_log" \
--lock-file "$base_dir/oe-build-perf.lock" \
"${commit_results[@]}" \
--commit-results-branch "{tester_host}/{git_branch}/$machine" \
--commit-results-tag "{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"
case $? in
1) echo "ERROR: oe-build-perf-test script failed!"
exit 1
;;
2) echo "NOTE: some tests failed!"
;;
esac
echo -ne "\n\n-----------------\n"
echo "Global results file:"